﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;
using System.Diagnostics;
using Telerik.WinControls.Data;

namespace _547099
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            GridViewTextBoxColumn col = new GridViewTextBoxColumn("MutiSelect column");
            col.Name = "Name";
            radGridView1.Columns.Add(col);

            GridViewTextBoxColumn col2 = new GridViewTextBoxColumn();
            col2.Name = "Test";
            radGridView1.Columns.Add(col2);

            radGridView1.Rows.Add("nine;six;ten;", "ab");
            radGridView1.Rows.Add("five;one;three;", "abcd");
            radGridView1.Rows.Add("eight;seven;one;", "ef");
            radGridView1.Rows.Add("four;two;one;", "fgh");

            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowHeaderCellButtons = true;
            radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;

            radGridView1.EditorRequired += radGridView1_EditorRequired;
        }

        void radGridView1_EditorRequired(object sender, EditorRequiredEventArgs e)
        {
            if (radGridView1.CurrentColumn.Name == "Name")
            {
                CustomDropDownListEditor ddl = new CustomDropDownListEditor();
                e.Editor = ddl;
                CustomEditorElement ddlElement = ddl.EditorElement as CustomEditorElement;

                DataTable t = new DataTable();
                t.Columns.Add("Numbers");
                t.Rows.Add("one");
                t.Rows.Add("two");
                t.Rows.Add("three");
                t.Rows.Add("four");
                t.Rows.Add("five");
                t.Rows.Add("six");
                t.Rows.Add("seven");
                t.Rows.Add("eight");
                t.Rows.Add("nine");
                t.Rows.Add("ten");

                ddlElement.DataSource = t;
                ddlElement.DisplayMember = "Numbers";
                ddlElement.BindingContext = this.BindingContext;
                ddlElement.ListElement.ClearSelected();
            }
        }
    }
}
